[nvidia] Screen scaling 125% gives 200%

Bug #1870736 reported by PerJensen on 2020-04-04
714
This bug affects 119 people
Affects Status Importance Assigned to Milestone
gnome-control-center (Ubuntu)
High
Unassigned
mutter (Ubuntu)
High
Daniel van Vugt

Bug Description

Procedure used:
1.
Fully updated system via apt update && apt upgrade

2.
Select the screen setup in gnome control center

3.
Click the "Fractional scaling" toggle

4.
Select 125% and click the green "use" button top right (it says "Anvend" in dansih)

5.
Observe that the window has grown a lot, click the "use new settings" button

6.
The window tells me, I am at 200% scaling. The "200%" option is now highlighted.

7.
Switch back to 100% and file this bug.

ProblemType: Bug
DistroRelease: Ubuntu 20.04
Package: ubuntu-release-upgrader-core 1:20.04.16
ProcVersionSignature: Ubuntu 5.4.0-21.25-generic 5.4.27
Uname: Linux 5.4.0-21-generic x86_64
NonfreeKernelModules: nvidia_modeset nvidia
ApportVersion: 2.20.11-0ubuntu22
Architecture: amd64
CrashDB: ubuntu
CurrentDesktop: ubuntu:GNOME
Date: Sat Apr 4 09:42:34 2020
InstallationDate: Installed on 2018-01-14 (810 days ago)
InstallationMedia: Ubuntu 16.04.3 LTS "Xenial Xerus" - Release amd64 (20170801)
PackageArchitecture: all
ProcEnviron:
 TERM=xterm-256color
 PATH=(custom, no user)
 XDG_RUNTIME_DIR=<set>
 LANG=da_DK.UTF-8
 SHELL=/bin/bash
SourcePackage: ubuntu-release-upgrader
Symptom: release-upgrade
UpgradeStatus: Upgraded to focal on 2020-04-03 (0 days ago)

PerJensen (per-net-es) wrote :
PerJensen (per-net-es) wrote :

Funny - I wrote "gnome-control-center" as the package, once on the web page.

affects: ubuntu-release-upgrader (Ubuntu) → gnome-control-center (Ubuntu)
PerJensen (per-net-es) wrote :
PerJensen (per-net-es) wrote :
PerJensen (per-net-es) wrote :

When reporting the bug, I used the nvidia-driver-435 which is not tested.

I have installed the nvidia-driver-440 and rerun the test case.

Same result: selecting 125% scaling gives 200% scaling

tags: added: rls-ff-incoming
tags: added: regression-update
tags: removed: regression-update

Thank you for your bug report, could you add your 'journalctl -b 0' log after getting the issue?

summary: - Screen scaling 125% gives 200%
+ Screen scaling 125% gives 200% (nvidia)
affects: gnome-control-center (Ubuntu) → gnome-shell (Ubuntu)
tags: added: xrandr-scaling
tags: added: nvidia
Daniel van Vugt (vanvugt) wrote :

The bug might still be gnome-control-center, gnome-shell or mutter.

PerJensen (per-net-es) wrote :

Here is the journalcl -b 0 output, when scaling from 100% to 200% and back to 100%

PerJensen (per-net-es) wrote :

Oops.

The first journalctl is not the for testcast.

This is the log when I select 125 % scaling and get 200%

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in gnome-control-center (Ubuntu):
status: New → Confirmed
Changed in gnome-shell (Ubuntu):
status: New → Confirmed
Changed in mutter (Ubuntu):
status: New → Confirmed
tags: added: rls-ff-notfixing
removed: rls-ff-incoming
2 comments hidden view all 163 comments

Mh, logging isn't too useful just give us the output of the logs, please run this before doing changes from the control center

journalctl -b0 -ef /usr/bin/gnome-shell

Then do the change from control center and give us what the has been logged.

Also, the output for (before and after, if anything changed)

xrandr --verbose

Could you also check if the command:

xrandr --output DVI-D-0 --scale 2x2
xrandr --output DVI-D-0 --scale 1.5x1.5

Does something for you?

Cheers

I have the same bug. Here are my obervartions:

xrandr --output HDMI-0 --scale 1.5x1.5 makes everything smaller (higher DPI)
xrandr --output HDMI-0 --scale 2x2 makes everything even smaller
xrandr --output HDMI-0 --scale 1x1 makes everything huge (200% according to settings)

Seems the DPI scaling has been inverted?

I tried

xrandr --output HDMI-0 --scale 0.75x0.75 and for a small instance it seems to work, and the text is at what I judge at 125%, but then a second after it switches to the overly huge 200% again.

PerJensen (per-net-es) wrote :
PerJensen (per-net-es) wrote :
PerJensen (per-net-es) wrote :
PerJensen (per-net-es) wrote :
PerJensen (per-net-es) wrote :

I tried your xrandr commands:

xrandr --output DVI-D-0 --scale 2x2 ==> very small windows
xrandr --output DVI-D-0 --scale 1.5x1.5 ==> not so small windows

xrandr --output DVI-D-0 --scale 1.0x1.0 ==> back to normal

PerJensen (per-net-es) wrote :

I followed Pål's experiments:

pj@Monster:~$ xrandr --output DVI-D-0 --scale 0.75x0.75 ==> large window & fonts, only seeing upper left part of the desktop on the screen

pj@Monster:~$ xrandr --output DVI-D-0 --scale 0.5x0.5 ==> even larger and less desktop visible

pj@Monster:~$ xrandr --output DVI-D-0 --scale 1x1 ==> NOT going back to normal
pj@Monster:~$ xrandr --output DVI-D-0 --scale 1x1 ==> Still not
pj@Monster:~$ xrandr --output DVI-D-0 --scale 1.0x1.0 ==> Stille not
pj@Monster:~$ xrandr --output DVI-D-0 --scale 2.0x2.0 ==> back to normal

Sebastien Bacher (seb128) wrote :

Could you also try outside of GNOME using xubuntu or another desktop to rule out shell interfering?

PerJensen (per-net-es) wrote :

I have installed xubuntu-desktop, fully updated the system and rebooted

Xubuntu environment
===================

xrandr --output DVI-D-0 --scale 2x2 ==> very smail windows ans fonts

xrandr --output DVI-D-0 --scale 1.5x1.5 ==> not so small windows, also the fonts are a little bigger in terminal

xrandr --output DVI-D-0 --scale 1.0x1.0 ==> back to normal

Now scaling the other way:
xrandr --output DVI-D-0 --scale 0.75x0.75 ==> I see approx 1/4 of the desktop (the left upper quadrant)

xrandr --output DVI-D-0 --scale 0.5x0.5 ==> very large windows and fonts in vscode, it seems the fonts in the terminal dont scale as much

xrandr --output DVI-D-0 --scale 1.0x1.0 ==> came back to normal in 1. try

summary: - Screen scaling 125% gives 200% (nvidia)
+ [nvidia] Screen scaling 125% gives 200%
Daniel van Vugt (vanvugt) wrote :

See also bug 1873403.

ThOR27 (thor27-gmail) wrote :

I have exactly same problem, I've tried both 440, and 435 Nvidia drivers.
the results of:

$ xrandr --verbose --output HDMI-0 --scale 2x2
screen 0: 6880x2880 1820x762 mm 96.00dpi
crtc 0: 3440x1440 59.97 +0+0 "HDMI-0"
xrandr: Configure crtc 0 failed
crtc 0: disable
crtc 1: disable
crtc 2: disable
crtc 3: disable
crtc 4: disable
crtc 5: disable
crtc 6: disable
screen 0: revert
crtc 0: revert
crtc 1: revert
X Error of failed request: BadValue (integer parameter out of range for operation)
  Major opcode of failed request: 140 (RANDR)
  Minor opcode of failed request: 21 (RRSetCrtcConfig)
  Value in failed request: 0x0
  Serial number of failed request: 72
  Current serial number in output stream: 72

$ xrandr --verbose --output HDMI-0 --scale 1.25x1.25
screen 0: 4300x1800 1137x476 mm 96.00dpi
crtc 0: 3440x1440 59.97 +0+0 "HDMI-0"
xrandr: Configure crtc 0 failed
crtc 0: disable
crtc 1: disable
crtc 2: disable
crtc 3: disable
crtc 4: disable
crtc 5: disable
crtc 6: disable
screen 0: revert
crtc 0: revert
crtc 1: revert
X Error of failed request: BadValue (integer parameter out of range for operation)
  Major opcode of failed request: 140 (RANDR)
  Minor opcode of failed request: 21 (RRSetCrtcConfig)
  Value in failed request: 0x0
  Serial number of failed request: 72
  Current serial number in output stream: 72

Daniel van Vugt (vanvugt) wrote :

I wonder if the nvidia driver doesn't support the same version/featureset of Xrandr as the modeset driver?...

https://www.x.org/releases/X11R7.7/doc/randrproto/randrproto.txt

$ xrandr --version
xrandr program version 1.5.0
Server reports RandR version 1.6

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in nvidia-graphics-drivers (Ubuntu):
status: New → Confirmed
Jesus (salseandotv) wrote :

I also have the same problem, regards.

Vitaly Sulimov (vsulimov) wrote :

Same for me.
Ubuntu 20.04 nvidia-driver-440, GeForce MX250.

Greg Cavazos (drayak335) wrote :

Same for me.
Ubuntu 20.04 nvidia-driver-390 (also tried 340.108), GeForce GT-750M

I noticed some weird behavior with the xrandr, note the "mm" size is different for the same scale setting at different times.

greg@LapXPS:~$ xrandr --verbose --output eDP-1-1 --scale 2x2
screen 0: 6400x3600 846x475 mm 192.10dpi
crtc 0: 3200x1800 59.98 +0+0 "eDP-1-1"
greg@LapXPS:~$ xrandr --verbose --output eDP-1-1 --scale 1.25x1.25
crtc 0: disable
screen 0: 4000x2250 527x296 mm 192.51dpi
crtc 0: 3200x1800 59.98 +0+0 "eDP-1-1"
greg@LapXPS:~$ xrandr --verbose --output eDP-1-1 --scale 1.5x1.5
screen 0: 4800x2700 1587x892 mm 76.81dpi
crtc 0: 3200x1800 59.98 +0+0 "eDP-1-1"
greg@LapXPS:~$ xrandr --verbose --output eDP-1-1 --scale 1.25x1.25
crtc 0: disable
screen 0: 4000x2250 1321x743 mm 76.88dpi
crtc 0: 3200x1800 59.98 +0+0 "eDP-1-1"
greg@LapXPS:~$ xrandr --verbose --output eDP-1-1 --scale 1.5x1.5
screen 0: 4800x2700 1587x892 mm 76.81dpi
crtc 0: 3200x1800 59.98 +0+0 "eDP-1-1"
greg@LapXPS:~$ xrandr --verbose --output eDP-1-1 --scale 1.75x1.75
screen 0: 5600x3150 1850x1040 mm 76.88dpi
crtc 0: 3200x1800 59.98 +0+0 "eDP-1-1"
greg@LapXPS:~$ xrandr --verbose --output eDP-1-1 --scale 2x2
screen 0: 6400x3600 2113x1188 mm 76.93dpi
crtc 0: 3200x1800 59.98 +0+0 "eDP-1-1"
greg@LapXPS:~$ xrandr --verbose --output eDP-1-1 --scale 1x1
crtc 0: disable
screen 0: 3200x1800 1056x594 mm 76.97dpi
crtc 0: 3200x1800 59.98 +0+0 "eDP-1-1"
greg@LapXPS:~$ xrandr --verbose --output eDP-1-1 --scale 1.75x1.75
screen 0: 5600x3150 1480x832 mm 96.05dpi
crtc 0: 3200x1800 59.98 +0+0 "eDP-1-1"
greg@LapXPS:~$ xrandr --verbose --output eDP-1-1 --scale 1.75x1.75
screen 0: 5600x3150 1480x832 mm 96.05dpi
crtc 0: 3200x1800 59.98 +0+0 "eDP-1-1"
greg@LapXPS:~$ xrandr --verbose --output eDP-1-1 --scale 1x1
crtc 0: disable
screen 0: 3200x1800 845x475 mm 96.17dpi
crtc 0: 3200x1800 59.98 +0+0 "eDP-1-1"
greg@LapXPS:~$ xrandr --verbose --output eDP-1-1 --scale 1.25x1.25
screen 0: 4000x2250 528x297 mm 192.10dpi
crtc 0: 3200x1800 59.98 +0+0 "eDP-1-1"
greg@LapXPS:~$ xrandr --verbose --output eDP-1-1 --scale 1x1
crtc 0: disable
screen 0: 3200x1800 422x237 mm 192.42dpi
crtc 0: 3200x1800 59.98 +0+0 "eDP-1-1"
greg@LapXPS:~$ xrandr --verbose --output eDP-1-1 --scale 1.75x1.75
screen 0: 5600x3150 740x416 mm 192.10dpi
crtc 0: 3200x1800 59.98 +0+0 "eDP-1-1"

Dong Xuan Huy (huydx.evil) wrote :

I have exactly the same bug.
Ubuntu 20.04, GeForce GT 730M, using nvidia-driver-440

ilovebytes (ilovebytes) wrote :

i have the same problem - using a 1080ti and nvidia 440 driver - i wonder are the other versions like budgie,mate and so on also affected with this problem ?

and is someone from ubuntu/nvidia working on a possible solution- because its now nearly a full month when the bug first was reported and its still there :(

kitezila (kitezila) wrote :

Ubuntu 20.04 GTX Nvidia driver 440.
After playing with xrandr --output HDMI-0 --scale YYxYY I have reached ~1.25 scale.
Steps:
1) xrandr --output HDMI-0 --scale 1.75x1.75
-- visually have increased resolution
2) xrandr --output HDMI-0 --scale 0.75x0.75
-- cause huge zoom x4-x8
3) Then xrandr --output HDMI-0 --scale 1.75x1.75
-- set resolution to expected scale of 1.25

Bradley Pearce (blitmaps) wrote :

This effects me also:

GeForce GTX 1060

440 tested driver

Konstantin (soulkeeper) wrote :
Download full text (5.5 KiB)

I have the same bug with fractional scaling for my Geforce 1660 Ti and 2K monitor.
The temporary solution from kitezila has worked for me too.

~$ xrandr --verbose
Screen 0: minimum 8 x 8, current 2560 x 1440, maximum 32767 x 32767
DP-2 connected primary 2560x1440+0+0 (0x1c1) normal (normal left inverted right x axis y axis) 597mm x 336mm
 Identifier: 0x1bf
 Timestamp: 178502
 Subpixel: unknown
 Gamma: 1.0:1.0:1.0
 Brightness: 1.0
 Clones:
 CRTC: 0
 CRTCs: 0 1 2 3
 Transform: 1.000000 0.000000 0.000000
             0.000000 1.000000 0.000000
             0.000000 0.000000 1.000000
            filter:
 _MUTTER_PRESENTATION_OUTPUT: 0
 CscMatrix: 65536 0 0 0 0 65536 0 0 0 0 65536 0
 EDID:
  00ffffffffffff0026cd3766db0b0000
  301d0104b53c2278fb0c95ab554ca024
  0d50542108009500a9c0a940b300d1c0
  d1cae1008180565e00a0a0a029503020
  350055502100001a000000ff00313135
  32313934383033303335000000fd0030
  4678781e010a202020202020000000fc
  00504c32373932510a202020202001c6
  020318f14b100504030201111213141f
  23090707830100004c6b0050a0a03050
  0820280855502100001a000000000000
  00000000000000000000000000000000
  00000000000000000000000000000000
  00000000000000000000000000000000
  00000000000000000000000000000000
  00000000000000000000000000000062
 BorderDimensions: 4
  supported: 4
 Border: 0 0 0 0
  range: (0, 65535)
 SignalFormat: DisplayPort
  supported: DisplayPort
 ConnectorType: DisplayPort
 ConnectorNumber: 2
 _ConnectorLocation: 2
 non-desktop: 0
  supported: 0, 1
  2560x1440 (0x1c0) 241.500MHz +HSync -VSync +preferred
        h: width 2560 start 2608 end 2640 total 2720 skew 0 clock 88.79KHz
        v: height 1440 start 1443 end 1448 total 1481 clock 59.95Hz
  2560x1440 (0x1c1) 274.680MHz +HSync -VSync *current
        h: width 2560 start 2568 end 2600 total 2640 skew 0 clock 104.05KHz
        v: height 1440 start 1474 end 1482 total 1488 clock 69.92Hz
  2048x1280 (0x1c2) 220.250MHz -HSync +VSync
        h: width 2048 start 2192 end 2408 total 2768 skew 0 clock 79.57KHz
        v: height 1280 start 1283 end 1289 total 1327 clock 59.96Hz
  1920x1080 (0x1c3) 204.250MHz -HSync +VSync
        h: width 1920 start 2056 end 2256 total 2592 skew 0 clock 78.80KHz
        v: height 1080 start 1083 end 1088 total 1127 clock 69.92Hz
  1920x1080 (0x1c4) 148.500MHz +HSync +VSync
        h: width 1920 start 2008 end 2052 total 2200 skew 0 clock 67.50KHz
        v: height 1080 start 1084 end 1089 total 1125 clock 60.00Hz
  1920x1080 (0x1c5) 148.350MHz +HSync +VSync
        h: width 1920 start 2008 end 2052 total 2200 skew 0 clock 67.43KHz
        v: height 1080 start 1084 end 1089 total 1125 clock 59.94Hz
  1920x1080 (0x1c6) 148.500MHz +HSync +VSync
        h: width 1920 start 2448 end 2492 total 2640 skew 0 clock 56.25KHz
        v: height 1080 start 1084 end 1089 total 1125 clock 50.00Hz
  1680x1050 (0x1c7) 146.250MHz -HSync +VSync
        h: width 1680 start 1784 end 1960 total 2240 skew 0 clock 65.29KHz
        v: height 1050 start 1053 end 1059 total 1089 clock 59.95Hz
  1600x1200 (0x1c8) 162.000M...

Read more...

Fusion (bornolbers) wrote :

This effects me also:

ubuntu 20.04

GeForce GTX 1050 Ti

440 tested driver

4k monitor - displayport

smallcham (smallcham) wrote :

This effects me also:

ubuntu 20.04

GeForce GTX 1660

4k monitor - displayport

I tryed '440 tested'、'435'、'nouveau' driver and i also tryed 'NVIDIA official driver 440.82', all of then has this problem.

eTushar89 (etushar89) wrote :

Affecting me too.
Ubuntu: 20.04 LTS
GPU: GeForce RTX 2070

~ uname -r
5.4.0-26-generic

~ xrandr
Screen 0: minimum 8 x 8, current 3840 x 2160, maximum 32767 x 32767
DP-0 disconnected (normal left inverted right x axis y axis)
DP-1 disconnected (normal left inverted right x axis y axis)
HDMI-0 disconnected (normal left inverted right x axis y axis)
DP-2 connected primary 3840x2160+0+0 (normal left inverted right x axis y axis) 600mm x 340mm
   3840x2160 60.00*+ 30.00
   2560x1440 59.95
   1920x1080 60.00 59.94
   1600x900 60.00
   1280x1024 60.02
   1280x800 59.81
   1280x720 60.00 59.94
   1152x864 59.96
   1024x768 60.00
   800x600 60.32
   720x480 59.94
   640x480 59.94 59.93
DP-3 disconnected (normal left inverted right x axis y axis)
DP-4 disconnected (normal left inverted right x axis y axis)
DP-5 disconnected (normal left inverted right x axis y axis)
USB-C-0 disconnected (normal left inverted right x axis y axis)

~ nvidia-smi
Tue Apr 28 16:00:35 2020
+-----------------------------------------------------------------------------+
| NVIDIA-SMI 440.64 Driver Version: 440.64 CUDA Version: 10.2 |
|-------------------------------+----------------------+----------------------+
| GPU Name Persistence-M| Bus-Id Disp.A | Volatile Uncorr. ECC |
| Fan Temp Perf Pwr:Usage/Cap| Memory-Usage | GPU-Util Compute M. |
|===============================+======================+======================|
| 0 GeForce RTX 2070 Off | 00000000:26:00.0 On | N/A |
| 0% 46C P8 17W / 185W | 2798MiB / 7979MiB | 3% Default |
+-------------------------------+----------------------+----------------------+

Fusion (bornolbers) wrote :

I am not familiar with code, so I just test what I could see... hope it helps (I posted also on bug 1873403, if not necessary I'll remove it. No intention to spam).

------------not live: tests as I remember:
without nvidia
100-->ok
125,150 too slow

with nvidia
100--> too small
200-->too big
enable fractional scaling
125-->200
150-->200
175 -->black
(stop/start freesync from monitor, restored - maybe random behavior)

2nd try
100-->ok
125-->black
(couldn't restore it, ctrl+alt+f1 & login = black again)

unistall nvidia tested drivers, try nouveau
after two changes, I could see ubuntu desktop became small or big inside my screen and around it I cound draw with the window I was holding with the mouse. If I put it inside ubuntu desktop area of my screen it works fine, outside (right column and down line) it just performs like windows xp windows when it stuck (never saw it again on ubuntu since 11.10 that I am using it).

------------live: test and keep these notes:
install nvidia again
reboot - 3rd try
100--> bigger desktop than my screen, needs to scroll (down or right) to see the rest
200--> the same
enable fractional scaling (returns to 100 by itself)
150-->black
(stop/start freesync from monitor, restored - maybe random behavior)

100 --> enable fractional-->200 by itself
I repeat it, doesn't happen the second time
150-->black

remove nvidia* through synaptic
reboot
100-->ok
125,150,175 too slow
200-->ok

install nvidia tested
100-->οκ
200-->οκ
enable fractional scale-->turn to 100 itself
150-->black
125-->200
125(200) change back to 100 first
175-->black
200-->ok
on 200, close fractional scale-->instead of return to 100 itself it doubles the area of the desktop (bigger than my real monitor area, so I have to scroll to see the rest of the desktop)
100-->100 with the same large desktop area issue
deactivate fractional scale-->issue remain
logout,logon--> 100 & ok

smallcham (smallcham) on 2020-04-29
Changed in gnome-control-center (Ubuntu):
assignee: nobody → smallcham (smallcham)
assignee: smallcham (smallcham) → nobody
Changed in gnome-shell (Ubuntu):
status: Confirmed → Fix Released
no longer affects: gnome-shell (Ubuntu)
Changed in mutter (Ubuntu):
assignee: nobody → Daniel van Vugt (vanvugt)
status: Confirmed → In Progress
no longer affects: nvidia-graphics-drivers (Ubuntu)
summary: - [nvidia] Screen scaling 125% gives 200%
+ [nvidia] Screen scaling 125% gives 200%, and sometimes extends off
+ screen
summary: - [nvidia] Screen scaling 125% gives 200%, and sometimes extends off
- screen
+ [nvidia] Screen scaling 125% gives 200%
Changed in mutter (Ubuntu):
importance: Undecided → Medium
Changed in gnome-control-center (Ubuntu):
importance: Undecided → Medium
Changed in mutter (Ubuntu):
importance: Medium → High
Changed in gnome-control-center (Ubuntu):
importance: Medium → High
Changed in mutter (Ubuntu):
status: In Progress → Confirmed
83 comments hidden view all 163 comments
Vitaly Sulimov (vsulimov) wrote :

@3v1n0
xrandr also command doesn't work for me (laptop with GeForce MX250 and Intel GPU). Getting extended desktop instead of scaling as you mention in #119

ThOR27 (thor27-gmail) wrote :

Hi, tried the new package, it didn't fixed, changed 100% to 125% and it scaled to 200%. The output of the mentioned command:

jun 23 10:17:15 Z68MA-D2H-B3 gnome-shell[5236]: GOt configuration change [(0, 0, 1.25, uint32 0, true, [('HDMI-0', '3440x1440@59.972618103027344', {'underscanning': <false>})])]
jun 23 10:17:15 Z68MA-D2H-B3 gnome-shell[5236]: GOt configuration change [(0, 0, 1.25, uint32 0, true, [('HDMI-0', '3440x1440@59.972618103027344', {'underscanning': <false>})])]
jun 23 10:17:15 Z68MA-D2H-B3 gnome-shell[5236]: GOt configuration change [(0, 0, 1.25, uint32 0, true, [('HDMI-0', '3440x1440@59.972618103027344', {'underscanning': <false>})])]
jun 23 10:17:18 Z68MA-D2H-B3 gnome-shell[5236]: GOt configuration change [(0, 0, 1.25, uint32 0, true, [('HDMI-0', '3440x1440@59.972618103027344', {'underscanning': <false>})])]
jun 23 10:17:18 Z68MA-D2H-B3 gnome-shell[5236]: Crtc at 0,000000x0,000000 size 2752,000000x1152,000000 (@ 1,250000 - adapted 2,000000) considering it of 5504,000000x2304,000000
jun 23 10:17:18 Z68MA-D2H-B3 gnome-shell[5236]: Setting screen size 5504x2304
jun 23 10:17:18 Z68MA-D2H-B3 gnome-shell[5236]: Setting screen size to 5504x2304
jun 23 10:17:18 Z68MA-D2H-B3 gnome-shell[5236]: Scaling at 0,625000 (transformation matrix is 104857 = 1,599991) using filter good
jun 23 10:17:18 Z68MA-D2H-B3 gnome-shell[5236]: Configuring CRTC 633 with mode 640 (3440 x 1440 @ 59,972618) at position 0, 0 and transform 0
jun 23 10:17:18 Z68MA-D2H-B3 gnome-shell[5236]: Setting UBUNTU crtc config crtc 633, timestamp 0 (config timestamp 319695), x: 0, y: 0, mode: 640, rotation 1, n_outputs 1: RETURN reply 0x5650ad5b5ea0, error: (nil)
jun 23 10:17:18 Z68MA-D2H-B3 gnome-shell[5236]: Setting screen size 5504x2304
jun 23 10:17:19 Z68MA-D2H-B3 gnome-shell[5236]: Window manager warning: Overwriting existing binding of keysym 31 with keysym 31 (keycode a).
jun 23 10:17:19 Z68MA-D2H-B3 gnome-shell[5236]: Window manager warning: Overwriting existing binding of keysym 38 with keysym 38 (keycode 11).
jun 23 10:17:19 Z68MA-D2H-B3 gnome-shell[5236]: Window manager warning: Overwriting existing binding of keysym 39 with keysym 39 (keycode 12).
jun 23 10:17:19 Z68MA-D2H-B3 gnome-shell[5236]: Window manager warning: Overwriting existing binding of keysym 32 with keysym 32 (keycode b).
jun 23 10:17:19 Z68MA-D2H-B3 gnome-shell[5236]: Window manager warning: Overwriting existing binding of keysym 33 with keysym 33 (keycode c).
jun 23 10:17:19 Z68MA-D2H-B3 gnome-shell[5236]: Window manager warning: Overwriting existing binding of keysym 34 with keysym 34 (keycode d).
jun 23 10:17:19 Z68MA-D2H-B3 gnome-shell[5236]: Window manager warning: Overwriting existing binding of keysym 35 with keysym 35 (keycode e).
jun 23 10:17:19 Z68MA-D2H-B3 gnome-shell[5236]: Window manager warning: Overwriting existing binding of keysym 36 with keysym 36 (keycode f).
jun 23 10:17:19 Z68MA-D2H-B3 gnome-shell[5236]: Window manager warning: Overwriting existing binding of keysym 37 with keysym 37 (keycode 10).

mastorak (mastorak) wrote :

@3v1n0
It is desktop GPU.
I tried the new mutter package. It doesn't fix the problem.
The behavior now is the following:
-enable fractional scaling
-select and apply 125%
-goes to 200%
-select to go back to to 100%
-things are tiny again but the desktop pixels have increased beyond the borders of the screen so you have to scroll to view the rest of the desktop.
When going from 100% to 200% and back to 100% -without- enabling fractional scaling going back to 100% behaves correctly.
Please find attached the log.

Bradley Pearce (blitmaps) wrote :

It would be good to find out how we get HiDPI displays to the testing team, because this should not have made it past test.

@mastorak: are you sure you're using those packages?

I don't see any reference in the logs.

@blitmaps, most of the developers use intel or free drivers all the time, so testing in other scenarios is not always possible.

Also this bug has at least three different behaviors depending on GPU hardware, for example in my Prime hardware it behaves correctly, while it doesn't in another prime hardware I recently got.

mastorak (mastorak) wrote :

@3v1n0
You are indeed right. The new mutter package was not installed from the ppa for some reason.
I think it should be ok now. Version is 3.36.3-0ubuntu0.20.04.1.nv1
I am happy to report that fractional scaling works now. Compositor behavior seems a bit weird(as if there is more tearing) when moving windows but that just might be my idea.
Please find attached the new logs

mastorak (mastorak) wrote :

@3v1n0
I did some further testing with your mutter package and noticed some important issues. Even though scaling works mostly ok, I noticed a consistent side-effect on X applications that they scale in reverse to the rest of the UI. So Gnome Shell, GTK apps and QT apps will scale 125% but at the same time X apps will scale 0.75% (or lower) and they ll become super tiny. You can test this with Gimp xterm and XNethack.

Serghei Iakovlev (i.serghei) wrote :

Hello @3v1n0

Still no luck. I added ci-train-ppa-service/4112 ppa and restarted the session. There are logs (see attachment).

Bellow some info of my hardware:

$ inxi -G
Graphics: Device-1: NVIDIA GP104 [GeForce GTX 1080] driver: nvidia v: 440.100
           Display: x11 server: X.Org 1.20.8 driver: nvidia unloaded: fbdev,modesetting,nouveau,vesa
           resolution: 3840x2160~60Hz
           OpenGL: renderer: GeForce GTX 1080/PCIe/SSE2 v: 4.6.0 NVIDIA 440.100

$ lshw -c video
  *-display
       description: VGA compatible controller
       product: GP104 [GeForce GTX 1080]
       vendor: NVIDIA Corporation
       physical id: 0
       bus info: pci@0000:06:00.0
       version: a1
       width: 64 bits
       clock: 33MHz
       capabilities: pm msi pciexpress vga_controller bus_master cap_list rom
       configuration: driver=nvidia latency=0
       resources: irq:66 memory:fa000000-faffffff memory:c0000000-cfffffff memory:d0000000-d1ffffff ioport:e000(size=128) memory:c0000-dffff

$ lspci | egrep -i vid\|vga
06:00.0 VGA compatible controller: NVIDIA Corporation GP104 [GeForce GTX 1080] (rev a1)
06:00.1 Audio device: NVIDIA Corporation GP104 High Definition Audio Controller (rev a1)

$ xrandr
Screen 0: minimum 8 x 8, current 3840 x 2160, maximum 32767 x 32767
DVI-D-0 disconnected (normal left inverted right x axis y axis)
HDMI-0 connected primary 3840x2160+0+0 (normal left inverted right x axis y axis) 600mm x 340mm
   3840x2160 60.00*+ 59.94 50.00 30.00 29.97 25.00 23.98
   2560x1440 59.95
   1920x1080 60.00 59.94 50.00 29.97 23.98
   1600x900 60.00
   1280x1024 60.02
   1280x800 59.81
   1280x720 60.00 59.94
   1152x864 60.00
   1024x768 60.00
   800x600 60.32
   720x576 50.00
   720x480 59.94
   640x480 59.94 59.93
DP-0 disconnected (normal left inverted right x axis y axis)
DP-1 disconnected (normal left inverted right x axis y axis)
DP-2 disconnected (normal left inverted right x axis y axis)
DP-3 disconnected (normal left inverted right x axis y axis)
DP-4 disconnected (normal left inverted right x axis y axis)
DP-5 disconnected (normal left inverted right x axis y axis)

David (mobilebackup) wrote :

I tried the new ppa package. I could at least change the value of the fractional to 175% and 125% without crashing the system. Previously, my system would just go black screen and I had to login using text and remove all gnome settings manually (cd ~ && rm -rf .gnome .gnome2 .gconf .gconfd .metacity .cache .dbus .dmrc .mission-control .thumbnails ~/.config/dconf/user ~.compiz*) - might be useful to someone who gets into the same situation.

I am attaching the journal ctl log. Currently I am at 175% scaling and will use it and see if other things are problematic. I still think that on high resolution displays with nvidia (laptops), the UI needs testing and change. The ratio of the text size vs icon size etc need tweaking for better defaults.

Bradley Pearce (blitmaps) wrote :

@Treviño

Your ppa work for me in terms of proportional, fractional scaling to 125%.

My configuration is Ubuntu 20.04 x86_64

GeForce GTX 1060

440 tested driver

Log attached - Thank you for your work on this.

Text aliasing is not correct, there is some sub-pixel bulging that appears like a larger texture area is being rendered and scaled down incorrectly (perhaps bilinear scaling down to the output resolution). If this is the case, it is a good workaround, but not suitable for professional workflows. If we know roughly what the issue is, I am happy to test/look at code etc.

Re: my comment about this not getting past test. If the testers are using a different driver set, then to say the (prop) drivers are tested is not really representative; I know a lot of people are donating their time, and I know we can't test all the configurations - but this is core functionality.

Filippo Argiolas (fargiolas) wrote :

@3v1n0

With your ppa fractional scaling works again (I'm almost sure it worked fine in 19.10)
Text rendering is pretty bad at 125%, slightly better at 150%

Geforce GTX 1080, latest nvidia driver (440.100), Philips 328P 4k display.

Thanks for looking into this, let me know if I can do more.

David (mobilebackup) wrote :

I think there is another problem, perhaps related. When I get to 175% scaling, and I try to use gnome-tweaks or dconf-editor, my font sizes don't seem to change at all. The fonts are tiny on my screen.

Alex (agwin) wrote :

The scaling issue was fixed for me, now I can independently scale monitors, but if I try to change a monitor to portrait mode it fails and I get the issue with incorrect zoom and overlapping view ports.

Bradley Pearce (blitmaps) wrote :

The problems you are experiencing @mobilebackup and @agwin, are most likely due to the way the workaround works. Correct me if I am wrong, but the workaround is asking the graphics system to render a larger canvas (say 2x, 8K or whatever) and scales this down to the viewport size. If an application is not enabled for HiDPI mode, they will be very squished. If you don't have sqaure pixels (like most of us), you will get bad text, and if you don't check for orientation, the viewport will break.

The reason I said this is a fab workaround, but won't hold for production, apart from above, is we are asking the card to render a huge area. If you move windows around or watch video with GPU decoding, the card is going to have to move a huge amount of data around.

These are my ramblings, for whatever they are worth.

David (mobilebackup) wrote :

@blitmaps I think its not as simple as that. It seems that the current state of things, (I'm on a 4k) - I am not even talking about hidpi mode supporting applications - even Gnome acts wierd. For example there is no reason for the titlebar font not to update in size?

Bradley Pearce (blitmaps) wrote :

@mobilebackup - agreed that there are going to be lots of problems this workaround will not solve. It is not yet clear whether any 'weirdness' is caused by the original bug or the workaround.

With regards to the title bar, I am using the default gnome theme, with 'Larger Text' enabled in universal access. This seems to work with most applications; however, in CLion and other Jetbrains IDE's im having to set the font size to 48 to make it readable, as it does its own rendering. Are you using a theme that renders its fonts for example? or are you using a default theme?

Also, what other wierdness are you experiencing - I am getting lagginess and jittering - however this is mostly when changing large amounts of the screen (hense the comment about large rendering areas).

Sorry I'm not of more help, I would like to be, but the rendering stack is a monolith - I was commenting on past experience of rendering larger areas and scaling down (it doesn't work very well); that said, I can currently do work on my configuration.

Apologies for more ramblings, if they are not helpful.

David (mobilebackup) wrote :

Thanks for the help @blitmaps. Indeed the universal access helped with the larger font size. Lets hope Ubuntu's gnome stabalizes on 4k/+ monitors soon with nvidia. That is a large population of users.

Download full text (7.8 KiB)

The working around is working adequately for me:

Jul 02 08:50:59 lenny gnome-shell[17639]: Enabling experimental feature 'x11-randr-fractional-scaling'
Jul 02 08:50:59 lenny gnome-shell[17639]: Crtc at 0.000000x2160.000000 size 1920.000000x1080.000000 (@ 2.000000 - adapted 2.000000) considering it of 3840.000000x2160.000000
Jul 02 08:50:59 lenny gnome-shell[17639]: Crtc at 0.000000x0.000000 size 1920.000000x1080.000000 (@ 2.000000 - adapted 2.000000) considering it of 3840.000000x2160.000000
Jul 02 08:50:59 lenny gnome-shell[17639]: Setting screen size 3840x4320
Jul 02 08:50:59 lenny gnome-shell[17639]: Setting screen size to 3840x4320
Jul 02 08:50:59 lenny gnome-shell[17639]: Scaling at 1.000000 (transformation matrix is 65536 = 1.000000) using filter fast
Jul 02 08:50:59 lenny gnome-shell[17639]: Configuring CRTC 504 with mode 509 (3840 x 2160 @ 59.999294) at position 0, 2160 and transform 0
Jul 02 08:50:59 lenny gnome-shell[17639]: Setting UBUNTU crtc config crtc 504, timestamp 0 (config timestamp 158041), x: 0, y: 2160, mode: 509, rotation 1, n_outputs 1: RETURN reply 0x56264b3d7970, error: (nil)
Jul 02 08:50:59 lenny gnome-shell[17639]: Scaling at 1.000000 (transformation matrix is 65536 = 1.000000) using filter fast
Jul 02 08:50:59 lenny gnome-shell[17639]: Configuring CRTC 441 with mode 448 (3840 x 2160 @ 60.000000) at position 0, 0 and transform 0
Jul 02 08:50:59 lenny gnome-shell[17639]: Setting UBUNTU crtc config crtc 441, timestamp 0 (config timestamp 158041), x: 0, y: 0, mode: 448, rotation 1, n_outputs 1: RETURN reply 0x56264b3d7970, error: (nil)
Jul 02 08:51:00 lenny gnome-shell[17639]: Unset XDG_SESSION_ID, getCurrentSessionProxy() called outside a user session. Asking logind directly.
Jul 02 08:51:00 lenny gnome-shell[17639]: Will monitor session 2
Jul 02 08:51:00 lenny gnome-shell[17639]: Telepathy is not available, chat integration will be disabled.
Jul 02 08:51:00 lenny gnome-shell[17639]: Setting screen size 3840x4320
Jul 02 08:51:00 lenny gnome-shell[17639]: Setting screen size 3840x4320
Jul 02 08:51:00 lenny gnome-shell[17639]: Setting screen size 3840x4320
Jul 02 08:51:00 lenny gnome-shell[17639]: Setting screen size 3840x4320
Jul 02 08:51:00 lenny gnome-shell[17639]: Error looking up permission: GDBus.Error:org.freedesktop.portal.Error.NotFound: No entry for geolocation
Jul 02 08:51:02 lenny gnome-shell[17639]: GNOME Shell started at Thu Jul 02 2020 08:51:00 GMT-0400 (EDT)
Jul 02 08:51:02 lenny gnome-shell[17639]: Registering session with GDM
Jul 02 08:52:08 lenny gnome-shell[17639]: polkitAuthenticationAgent: Received 2identities that can be used for authentication. Only considering one.
Jul 02 08:52:23 lenny gnome-shell[17639]: ../clutter/clutter/clutter-actor.c:10556: The clutter_actor_set_allocation() function can only be called from within the implementation of the ClutterActor::allocate() virtual function.
Jul 02 08:52:28 lenny gnome-shell[17639]: GOt configuration change [(0, 2160, 1.0, uint32 0, false, [('eDP-1-1', '3840x2160@59.999294281005859', {'underscanning': <false>})]), (0, 0, 2.0, 0, true, [('HDMI-0', '3840x2160@60', {'underscanning': <false>})])]
Jul 02 08:52:29 lenny gnome-shell[17639]: GOt configura...

Read more...

Dmitry (r0ute) wrote :
Download full text (16.1 KiB)

Worked for me too

Jul 03 15:39:40 pop-os gnome-shell[1517]: Crtc at 0.000000x0.000000 size 3840.000000x2160.000000 (@ 1.000000 - adapted 1.000000) considering it of 3840.000000x2160.000000
Jul 03 15:39:40 pop-os gnome-shell[1517]: Crtc at 3840.000000x0.000000 size 1920.000000x1200.000000 (@ 1.000000 - adapted 1.000000) considering it of 1920.000000x1200.000000
Jul 03 15:39:40 pop-os gnome-shell[1517]: Setting screen size 5760x2160
Jul 03 15:39:40 pop-os gnome-shell[1517]: Configuring CRTC 442 with mode 448 (3840 x 2160 @ 59.996624) at position 0, 0 and transform 0
Jul 03 15:39:40 pop-os gnome-shell[1517]: Setting UBUNTU crtc config crtc 442, timestamp 0 (config timestamp 13025), x: 0, y: 0, mode: 448, rotation 1, n_outputs 1: RETURN reply 0x55f93a90d600, error: (nil)
Jul 03 15:39:40 pop-os gnome-shell[1517]: Configuring CRTC 441 with mode 477 (1920 x 1200 @ 59.950172) at position 3840, 0 and transform 0
Jul 03 15:39:40 pop-os gnome-shell[1517]: Setting UBUNTU crtc config crtc 441, timestamp 0 (config timestamp 13025), x: 3840, y: 0, mode: 477, rotation 1, n_outputs 1: RETURN reply 0x55f93a90d6f0, error: (nil)
Jul 03 15:39:40 pop-os gnome-shell[1517]: Failed to load module "appmenu-gtk-module"
Jul 03 15:39:41 pop-os gnome-shell[1517]: Unset XDG_SESSION_ID, getCurrentSessionProxy() called outside a user session. Asking logind directly.
Jul 03 15:39:41 pop-os gnome-shell[1517]: Will monitor session c1
Jul 03 15:39:41 pop-os gnome-shell[1517]: Setting screen size 5760x2160
Jul 03 15:39:41 pop-os gnome-shell[1517]: Setting screen size 5760x2160
Jul 03 15:39:41 pop-os gnome-shell[1517]: Setting screen size 5760x2160
Jul 03 15:39:41 pop-os gnome-shell[1517]: Unable to connect to ibus: Could not connect: Connection refused
Jul 03 15:39:41 pop-os gnome-shell[1517]: Error looking up permission: GDBus.Error:org.freedesktop.portal.Error.NotFound: No entry for geolocation
Jul 03 15:39:41 pop-os gnome-shell[1517]: JS WARNING: [resource:///org/gnome/shell/ui/layout.js 24]: reference to undefined property "MetaWindowX11"
Jul 03 15:39:42 pop-os gnome-shell[1517]: Registering session with GDM
Jul 03 15:39:48 pop-os gnome-shell[2515]: Enabling experimental feature 'x11-randr-fractional-scaling'
Jul 03 15:39:48 pop-os gnome-shell[2515]: Failed to read monitors config file '/home/route/.config/monitors.xml': Logical monitors not adjacent
Jul 03 15:39:48 pop-os gnome-shell[2515]: Crtc at 0.000000x0.000000 size 3840.000000x2160.000000 (@ 1.000000 - adapted 1.000000) considering it of 3840.000000x2160.000000
Jul 03 15:39:48 pop-os gnome-shell[2515]: Crtc at 3840.000000x0.000000 size 1920.000000x1200.000000 (@ 1.000000 - adapted 1.000000) considering it of 1920.000000x1200.000000
Jul 03 15:39:48 pop-os gnome-shell[2515]: Setting screen size 5760x2160
Jul 03 15:39:48 pop-os gnome-shell[2515]: Scaling at 1.000000 (transformation matrix is 65536 = 1.000000) using filter fast
Jul 03 15:39:48 pop-os gnome-shell[2515]: Configuring CRTC 442 with mode 448 (3840 x 2160 @ 59.996624) at position 0, 0 and transform 0
Jul 03 15:39:48 pop-os gnome-shell[2515]: Setting UBUNTU crtc config crtc 442, timestamp 0 (config timestamp 21095), x: 0, y: 0, mode: 448, rotation 1, n_outputs 1...

hongwen000 (hongwen000) wrote :
Download full text (4.8 KiB)

sudo add-apt-repository ppa:ci-train-ppa-service/4112
worked for me.
GTX 750Ti, 440 driver

-- Logs begin at Mon 2020-07-06 19:24:15 CST. --
7月 06 20:12:56 lixinrui-ubuntu gnome-shell[1095]: Setting screen size 1440x900
7月 06 20:12:57 lixinrui-ubuntu gnome-shell[1095]: Unset XDG_SESSION_ID, getCurrentSessionProxy() called outside a user session. Asking logind directly.
7月 06 20:12:57 lixinrui-ubuntu gnome-shell[1095]: Will monitor session c1
7月 06 20:12:58 lixinrui-ubuntu gnome-shell[1095]: Error looking up permission: GDBus.Error:org.freedesktop.portal.Error.NotFound: No entry for geolocation
7月 06 20:12:59 lixinrui-ubuntu gnome-shell[1095]: JS WARNING: [resource:///org/gnome/shell/ui/layout.js 24]: reference to undefined property "MetaWindowX11"
7月 06 20:12:59 lixinrui-ubuntu gnome-shell[1095]: Getting invalid resource scale property
7月 06 20:13:00 lixinrui-ubuntu gnome-shell[1095]: Registering session with GDM
7月 06 20:13:04 lixinrui-ubuntu gnome-shell[1614]: Enabling experimental feature 'x11-randr-fractional-scaling'
7月 06 20:13:04 lixinrui-ubuntu gnome-shell[1614]: Setting screen size 1440x900
7月 06 20:13:05 lixinrui-ubuntu gnome-shell[1614]: Unset XDG_SESSION_ID, getCurrentSessionProxy() called outside a user session. Asking logind directly.
7月 06 20:13:05 lixinrui-ubuntu gnome-shell[1614]: Will monitor session 2
7月 06 20:13:05 lixinrui-ubuntu gnome-shell[1614]: Telepathy is not available, chat integration will be disabled.
7月 06 20:13:06 lixinrui-ubuntu gnome-shell[1614]: Error looking up permission: GDBus.Error:org.freedesktop.portal.Error.NotFound: No entry for geolocation
7月 06 20:13:08 lixinrui-ubuntu gnome-shell[1614]: Window manager warning: Overwriting existing binding of keysym 31 with keysym 31 (keycode a).
7月 06 20:13:08 lixinrui-ubuntu gnome-shell[1614]: Window manager warning: Overwriting existing binding of keysym 32 with keysym 32 (keycode b).
7月 06 20:13:08 lixinrui-ubuntu gnome-shell[1614]: Window manager warning: Overwriting existing binding of keysym 33 with keysym 33 (keycode c).
7月 06 20:13:08 lixinrui-ubuntu gnome-shell[1614]: Window manager warning: Overwriting existing binding of keysym 34 with keysym 34 (keycode d).
7月 06 20:13:08 lixinrui-ubuntu gnome-shell[1614]: Window manager warning: Overwriting existing binding of keysym 35 with keysym 35 (keycode e).
7月 06 20:13:08 lixinrui-ubuntu gnome-shell[1614]: Window manager warning: Overwriting existing binding of keysym 36 with keysym 36 (keycode f).
7月 06 20:13:08 lixinrui-ubuntu gnome-shell[1614]: Window manager warning: Overwriting existing binding of keysym 37 with keysym 37 (keycode 10).
7月 06 20:13:08 lixinrui-ubuntu gnome-shell[1614]: Window manager warning: Overwriting existing binding of keysym 38 with keysym 38 (keycode 11).
7月 06 20:13:08 lixinrui-ubuntu gnome-shell[1614]: Window manager warning: Overwriting existing binding of keysym 39 with keysym 39 (keycode 12).
7月 06 20:13:09 lixinrui-ubuntu gnome-shell[1614]: GNOME Shell started at Mon Jul 06 2020 20:13:06 GMT+0800 (CST)
7月 06 20:13:09 lixinrui-ubuntu gnome-shell[1614]: Registering session with GDM
7月 06 20:13:16 lixinrui-ubuntu gnome-shell[1614]: GOt configuration change [(0, 0, 1.25, uint32 0,...

Read more...

Fusion (bornolbers) wrote :

"sudo add-apt-repository ppa:ci-train-ppa-service/4112"

It doesn't work for me.

gtx1050ti, 440 driver

Dong Xuan Huy (huydx.evil) wrote :

I just changed the subscriber status to "Notify me when this bug is closed"!
That a long long time waiting!

Bradley Pearce (blitmaps) wrote :

It would be good to get a steer on what @vanvugt thinks the problem is, or if there are multiple problems?

I've updated the package in the PPA mentioned at [1], so feel free to test the packages again.

These should not fix the problem for mobile cards, as those seems to have another problem at modesetting driver level, it seems.

For others, the issue seems to be related more to screen sizes that mutter sets, and the packages should address that, but not sure if that's valid for all the cards.

[1] https://bugs.launchpad.net/ubuntu/+source/gnome-control-center/+bug/1870736/comments/122

mastorak (mastorak) wrote :

@3v1n0

NVidia 1050 Ti (Desktop)
435.21
The updated package is ok for me the Desktop Environment and most apps, but for some apps such as Gimp and XNethack the scale is inverted and their UI,icons,etc become tiny.

rland jon (rlandj) wrote :

@3v1n0

NVidi MX150 (440)

The updated package not work for me.

rland jon (rlandj) wrote :

   journalctl /usr/bin/gnome-shell -b0 -ef

Bradley Pearce (blitmaps) wrote :

@3v1n0 - The updated package works for me.

20.04, GeForce GTX 1060. 440 drivers.

Nice work.

Ari (ari-reads) wrote :

The updated package worked

20.04, GTX 1650
Driver 440.100

Monitor: 4K, 32".

This a new setup - the screen is large enough that 100% is kind of usable, although the GUI fonts of GTK apps (gnome shell, darktable) was in general too tiny - with the Trevino's patch I could now set the resolution to 125% but then found that the ubuntu GUI became too large.
Ideally, I noticed that a of 110% scale or so, like my mac does on the same screen, works best.

In case it helps anyone: if you prefer scaling at 100% but want larger fonts in most apps

Gnome Tweaks > Fonts > Scaling Factor = 1.1
Firefox > about:config > layout.css.devPixelsPerPx = 1.1 (Preferences > General > Zoom > Default: 100%)
Terminal / Tilix > Fonts > Inconsolata 14px

Geroen Dierckx (ridiekel) wrote :

Ubuntu 20.04, RTX 2080
Driver 440.100

For me the update also works. However performance is not as I would expect (very choppy mouse movement). But that is probably a completely different problem. The update fixes the issue addressed here.

ThOR27 (thor27-gmail) wrote :

Update still does not work here, same behaviour as before (200% instead of 125%).

It's not a mobile GPU:

NVIDIA Corporation GK104 [GeForce GTX 680] (rev a1)
NVIDIA Driver Version: 435.21

$ dpkg -l | grep mutter
ii gir1.2-mutter-6:amd64 3.36.3-0ubuntu0.20.04.1.nv2 amd64 GObject introspection data for Mutter
ii libmutter-6-0:amd64 3.36.3-0ubuntu0.20.04.1.nv2 amd64 window manager library from the Mutter window manager
ii mutter 3.36.3-0ubuntu0.20.04.1.nv2 amd64 Example window manager using GNOME's window manager library
ii mutter-common 3.36.3-0ubuntu0.20.04.1.nv2 all shared files for the Mutter window manager

journalctl /usr/bin/gnome-shell -b0 -ef log attached

I have the same experience as ridiekel. Fixes the issue reported, but performance takes a huge hit with a choppy mouse.

RTX 2070 Super
Driver 440.100
L Monitor: 1080
C Monitor: 4k
R Monitor: 4k

Cristian (cristianrgreco) wrote :

I have the same issue as thor27

$ sudo lshw -C display

  *-display
       description: VGA compatible controller
       product: GK110B [GeForce GTX 780 Ti]
       vendor: NVIDIA Corporation
       physical id: 0
       bus info: pci@0000:01:00.0
       version: a1
       width: 64 bits
       clock: 33MHz
       capabilities: pm msi pciexpress vga_controller bus_master cap_list rom
       configuration: driver=nvidia latency=0
       resources: irq:57 memory:de000000-deffffff memory:d0000000-d7ffffff memory:d8000000-d9ffffff ioport:e000(size=128) memory:c0000-dffff

$ dpkg -l | grep mutter

ii gir1.2-mutter-6:amd64 3.36.3-0ubuntu0.20.04.1.nv2 amd64 GObject introspection data for Mutter
ii libmutter-6-0:amd64 3.36.3-0ubuntu0.20.04.1.nv2 amd64 window manager library from the Mutter window manager
ii mutter 3.36.3-0ubuntu0.20.04.1.nv2 amd64 Example window manager using GNOME's window manager library
ii mutter-common 3.36.3-0ubuntu0.20.04.1.nv2 all shared files for the Mutter window manager

Dmitry (r0ute) wrote :
Download full text (9.7 KiB)

After restart or recent update everything stopped working.

Jul 17 09:20:15 pop-os gnome-shell[1494]: Failed to load module "appmenu-gtk-module"
Jul 17 09:20:16 pop-os gnome-shell[1494]: Unset XDG_SESSION_ID, getCurrentSessionProxy() called outside a user session. Asking logind directly.
Jul 17 09:20:16 pop-os gnome-shell[1494]: Will monitor session c1
Jul 17 09:20:16 pop-os gnome-shell[1494]: Error looking up permission: GDBus.Error:org.freedesktop.portal.Error.NotFound: No entry for geolocation
Jul 17 09:20:16 pop-os gnome-shell[1494]: JS WARNING: [resource:///org/gnome/shell/ui/layout.js 24]: reference to undefined property "MetaWindowX11"
Jul 17 09:20:17 pop-os gnome-shell[1494]: Registering session with GDM
Jul 17 09:20:24 pop-os gnome-shell[2541]: Enabling experimental feature 'x11-randr-fractional-scaling'
Jul 17 09:20:24 pop-os gnome-shell[2541]: Failed to load module "appmenu-gtk-module"
Jul 17 09:20:24 pop-os gnome-shell[2541]: Unset XDG_SESSION_ID, getCurrentSessionProxy() called outside a user session. Asking logind directly.
Jul 17 09:20:24 pop-os gnome-shell[2541]: Will monitor session 2
Jul 17 09:20:24 pop-os gnome-shell[2541]: Telepathy is not available, chat integration will be disabled.
Jul 17 09:20:24 pop-os gnome-shell[2541]: gnome-shell-extension-system76-power: power profile was set: 'Balanced'
Jul 17 09:20:24 pop-os gnome-shell[2541]: JS WARNING: [/<email address hidden>/math.js 42]: test for equality (==) mistyped as assignment (=)?
Jul 17 09:20:24 pop-os gnome-shell[2541]: JS WARNING: [/<email address hidden>/math.js 42]: test for equality (==) mistyped as assignment (=)?
Jul 17 09:20:24 pop-os gnome-shell[2541]: JS WARNING: [/<email address hidden>/math.js 42]: reference to undefined property 1
Jul 17 09:20:24 pop-os gnome-shell[2541]: JS WARNING: [/<email address hidden>/math.js 42]: reference to undefined property 0
Jul 17 09:20:24 pop-os gnome-shell[2541]: JS WARNING: [/<email address hidden>/math.js 42]: reference to undefined property "crypto"
Jul 17 09:20:24 pop-os gnome-shell[2541]: g_file_enumerator_iterate: assertion 'direnum != NULL' failed
Jul 17 09:20:24 pop-os gnome-shell[2541]: g_file_enumerator_iterate: assertion 'direnum != NULL' failed
Jul 17 09:20:24 pop-os gnome-shell[2541]: g_file_enumerator_iterate: assertion 'direnum != NULL' failed
Jul 17 09:20:24 pop-os gnome-shell[2541]: g_file_enumerator_iterate: assertion 'direnum != NULL' failed
Jul 17 09:20:24 pop-os gnome-shell[2541]: g_file_enumerator_iterate: assertion 'direnum != NULL' failed
Jul 17 09:20:24 pop-os gnome-shell[2541]: g_file_enumerator_iterate: assertion 'direnum != NULL' failed
Jul 17 09:20:24 pop-os gnome-shell[2541]: g_file_enumerator_iterate: assertion 'direnum != NULL' failed
Jul 17 09:20:24 pop-os gnome-shell[2541]: JS WARNING: [/<email address hidden>/math.js 42]: reference to undefined property "-1"
Jul 17 09:20:25 pop-os gnome-shell[2541]: pop-shell: [INFO] init
Jul 17 09:20:25 pop-os gnome-shell[2541]: pop-shell: [INFO] enable
Ju...

Read more...

Alex (agwin) wrote :

I had a 2080ti that died so I was running a 1070 until the RMA came, and the updated PPA worked perfectly with no issues. Swapped in the new 2080ti yesterday and have had a pretty significant performance hit since then, choppy movement and animations, feels like the whole desktop is running at 30fps or less. Same driver and other hardware.

Nvidia driver 440.100

Alex (agwin) wrote :

Did some more testing, it does actually look like one of my monitors is running at 30hz instead of 60hz, although the settings are reporting that it is running at 60hz.

Diego Lineros (diegolineros) wrote :

Forget about this, this setting it's and will be always broken, a white sheet will be needed.

rland jon (rlandj) wrote :

Will those changes be merged into the 20.04.1 release?

Willy Nolan (optonox) wrote :

Hi,
I can't use fractional scaling at all. When I enable it from the Settings in Gnome it just loads for a while (flickering black screen) and then reverts to Single Display. Switching back to Join Displays does nothing and I have to unplug and plug the external monitor back in.

I am using "Nvidia Driver metapackage nvidia-driver-450" and "Ubuntu 20.04.1 LTS"
I have a RTX 2080

I am using a laptop with a 4K monitor and an external 4K monitor that is larger, so obviously I'd love to set different fractional scaling values per monitor but would settle for setting 150% for both.

This seems like a common use case. Please let me know how I can help.

Matthew D. Mower (mdmower) wrote :

@marco-carrarini In post #77, you suggested a workaround by modifying xorg.conf. Then in post #81, @vanvugt suggested the same outcome could be achieved with `xrandr --fb` or `xrandr --scale-from`. Finally, you responded in #82 with "Yes, but expect some glitches in apps."

I'm not clear if your response to "expect some glitches" was only for @vanvugt's xrandr suggestion, or if the two workarounds are equivalent and to "expect some glitches" with either method. Any clarification would be appreciated. Thanks!

Displaying first 40 and last 40 comments. View all 163 comments or add a comment.